# Pattern Matching Experiment

This experiment realizes the task in Fig.2 of the paper.

The neural network topology consists of a set of input and a set of output neurons.
These groups are all-to-all connected with several connections utilizing a synapse model with reward-based learning.
This type of synapse adapts its synaptic weight by taking into account the local spike history and a global neuromodulatory reward signal.

Incoming and outgoing spikes, as well as the incoming reward signal are communicated via MUSIC.
This framework allows a separate process, a python node, to generate the input spikes based on the current pattern and generate
the reward signal based on the current output activity of the network.
The network output is interpreted by splitting the output neurons into sub populations of equal size each of which corresponds to  one of the patterns (we use 2 patterns/sub populations in this example).
The spike activity of each sub population is then interpreted as the strength of the vote for the pattern corresponding to this sub population.
Consequently, the strongest active sub population determines which pattern the network has detected and the difference to the weaker activities can be
seen as the certainty of this decision.

The learning process is visualized by a third node, which is reading and, in turn, broadcasting all the information available via ZMQ to allow for live plotting in a process completely separate to the simulation.

